org.fourthline.cling.model.message

## Class StreamRequestMessage

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<UpnpRequest>
  - - org.fourthline.cling.model.message.StreamRequestMessage

- Direct Known Subclasses:
    IncomingActionRequestMessage, IncomingEventRequestMessage, IncomingSubscribeRequestMessage, IncomingUnsubscribeRequestMessage, OutgoingActionRequestMessage, OutgoingEventRequestMessage, OutgoingRenewalRequestMessage, OutgoingSubscribeRequestMessage, OutgoingUnsubscribeRequestMessage

      public class StreamRequestMessage
      extends UpnpMessage<UpnpRequest>

  A TCP (HTTP) stream request message.
  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Connection` | `connection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamRequestMessage(StreamRequestMessage source)`
    `StreamRequestMessage(UpnpRequest.Method method, URI uri)`
    `StreamRequestMessage(UpnpRequest.Method method, URI uri, byte[] body)`
    `StreamRequestMessage(UpnpRequest.Method method, URI uri, String body)`
    `StreamRequestMessage(UpnpRequest.Method method, URL url)`
    `StreamRequestMessage(UpnpRequest.Method method, URL url, byte[] body)`
    `StreamRequestMessage(UpnpRequest.Method method, URL url, String body)`
    `StreamRequestMessage(UpnpRequest operation)`
    `StreamRequestMessage(UpnpRequest operation, byte[] body)`
    `StreamRequestMessage(UpnpRequest operation, String body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `getConnection()`
    `URI` | `getUri()`
    `void` | `setConnection(Connection connection)`
    `void` | `setUri(URI uri)`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### connection

          protected Connection connection

  - ### Constructor Detail

    - #### StreamRequestMessage

          public StreamRequestMessage(StreamRequestMessage source)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest operation)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest.Method method,
                                      URI uri)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest.Method method,
                                      URL url)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest operation,
                                      String body)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest.Method method,
                                      URI uri,
                                      String body)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest.Method method,
                                      URL url,
                                      String body)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest operation,
                                      byte[] body)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest.Method method,
                                      URI uri,
                                      byte[] body)

    - #### StreamRequestMessage

          public StreamRequestMessage(UpnpRequest.Method method,
                                      URL url,
                                      byte[] body)

  - ### Method Detail

    - #### getUri

          public URI getUri()

    - #### setUri

          public void setUri(URI uri)

    - #### setConnection

          public void setConnection(Connection connection)

    - #### getConnection

          public Connection getConnection()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.